#!/bin/sh

REV=$1
OS_EXT=$2
COMPANY_EXT=$3
PLATFORM_EXT=$4

echo $OS_EXT
echo $PLATFORM_EXT

OS_PLAT_EXT=$OS_EXT"_"$PLATFORM_EXT

echo $OS_EXT
echo $OS_PLAT_EXT

MAJOR_VERSION=gts-3.5.0

SVNURL=http://svn.solbox.com/svn/interactive

if [ $# -lt 3 ]
then
        echo "$0 [REVISONNUM] [OS EXT] [COMPANY EXT]"
        echo "REVISONNUM : Maximum revision of applications."
        echo "	ex)  R0697"
        echo "OS EXT : CentOS5.4."
        echo "COMPANY EXT : KTICS or LGU"
        exit 1
fi


rm -rf gts*
mkdir /root/work/gts_files/$MAJOR_VERSION.$REV
./getlastsvn.sh "FILE" "$SVNURL" "/tags/release/gts/cc_statd" "/root/work/gts_files/$MAJOR_VERSION.$REV/" "cc_statd" "" "$OS_EXT"
./getlastsvn.sh "FILE" "$SVNURL" "/tags/release/gts/cc_tsd" "/root/work/gts_files/$MAJOR_VERSION.$REV/" "cc_tsd" "" "$OS_EXT"
./getlastsvn.sh "FILE" "$SVNURL" "/tags/release/gts/logmngd" "/root/work/gts_files/$MAJOR_VERSION.$REV/" "logmngd" "" "$OS_EXT"
./getlastsvn.sh "FILE" "$SVNURL" "/tags/release/conf" "/root/work/gts_files/$MAJOR_VERSION.$REV/" "gts.conf" "" "$COMPANY_EXT"
